package com.tofly.analyse.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.analyse.entity.Pipeline;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * GIS管线
 * @author zhoux
 */
public interface PipelineMapper extends BaseMapper<Pipeline> {
	
	
	
	public List<Map<String,Object>> getPipeInfos(@Param("paramsMap") Map paramsMap);
	public List<Map<String,Object>> getPipeOtherInfos(@Param("paramsMap") Map paramsMap);
	
	/**
	 * 根据expNo获取点具体信息
	 * @param paramsMap
	 * @return
	 */
	public Map<String,Object> getPointByExpNo(@Param("expNo") String expNo);


   public List<String>	getPointByExpNos(@Param("paramsMap") Map paramsMap);


	public  List<Map<String,Object>>  getPointsByExpNos(@Param("paramsMap") Map paramsMap);
	
	    	
}